aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.RemoveUserFromGroup

Synopsis

- data RemoveUserFromGroup = RemoveUserFromGroup {
  - rufgGroupName :: Text
  - rufgUserName :: Text
  }
- data RemoveUserFromGroupResponse = RemoveUserFromGroupResponse

# Documentation

data RemoveUserFromGroup Source #

Removes the specified user from the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_RemoveUserFromGroup.html

Constructors

RemoveUserFromGroup |

Fields

- rufgGroupName :: Text

  Name of the group to update.

- rufgUserName :: Text

  The of the user to add.

#### Instances

Instances details

SignQuery RemoveUserFromGroup Source # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type ServiceConfiguration RemoveUserFromGroup |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ServiceConfiguration RemoveUserFromGroup = IamConfiguration

Methods

signQuery :: RemoveUserFromGroup -> ServiceConfiguration RemoveUserFromGroup queryType -> SignatureData -> SignedQuery Source #

Show RemoveUserFromGroup Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup Methods showsPrec :: Int -> RemoveUserFromGroup -> ShowS Source # show :: RemoveUserFromGroup -> String Source # showList :: [RemoveUserFromGroup] -> ShowS Source #
Eq RemoveUserFromGroup Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup Methods (==) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool Source # (/=) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool Source #
Ord RemoveUserFromGroup Source # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Methods

compare :: RemoveUserFromGroup -> RemoveUserFromGroup -> Ordering Source #

(<) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool Source #

(<=) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool Source #

(>) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool Source #

(>=) :: RemoveUserFromGroup -> RemoveUserFromGroup -> Bool Source #

max :: RemoveUserFromGroup -> RemoveUserFromGroup -> RemoveUserFromGroup Source #

min :: RemoveUserFromGroup -> RemoveUserFromGroup -> RemoveUserFromGroup Source #

ResponseConsumer RemoveUserFromGroup RemoveUserFromGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type ResponseMetadata RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ResponseMetadata RemoveUserFromGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> RemoveUserFromGroup -> IORef (ResponseMetadata RemoveUserFromGroupResponse) -> HTTPResponseConsumer RemoveUserFromGroupResponse Source #

Transaction RemoveUserFromGroup RemoveUserFromGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup
type ServiceConfiguration RemoveUserFromGroup Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ServiceConfiguration RemoveUserFromGroup = IamConfiguration

data RemoveUserFromGroupResponse Source #

Constructors

RemoveUserFromGroupResponse |

#### Instances

Instances details

AsMemoryResponse RemoveUserFromGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type MemoryResponse RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type MemoryResponse RemoveUserFromGroupResponse = RemoveUserFromGroupResponse

Methods

loadToMemory :: RemoveUserFromGroupResponse -> ResourceT IO (MemoryResponse RemoveUserFromGroupResponse) Source #

Show RemoveUserFromGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup Methods showsPrec :: Int -> RemoveUserFromGroupResponse -> ShowS Source # show :: RemoveUserFromGroupResponse -> String Source # showList :: [RemoveUserFromGroupResponse] -> ShowS Source #
Eq RemoveUserFromGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup Methods (==) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool Source # (/=) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool Source #
Ord RemoveUserFromGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Methods

compare :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Ordering Source #

(<) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool Source #

(<=) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool Source #

(>) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool Source #

(>=) :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> Bool Source #

max :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse Source #

min :: RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse -> RemoveUserFromGroupResponse Source #

ResponseConsumer RemoveUserFromGroup RemoveUserFromGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type ResponseMetadata RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ResponseMetadata RemoveUserFromGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> RemoveUserFromGroup -> IORef (ResponseMetadata RemoveUserFromGroupResponse) -> HTTPResponseConsumer RemoveUserFromGroupResponse Source #

Transaction RemoveUserFromGroup RemoveUserFromGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup
type MemoryResponse RemoveUserFromGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type MemoryResponse RemoveUserFromGroupResponse = RemoveUserFromGroupResponse
type ResponseMetadata RemoveUserFromGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ResponseMetadata RemoveUserFromGroupResponse = IamMetadata